> ## Documentation Index
> Fetch the complete documentation index at: https://docs.shipstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get one Delivery

> Returns a single `ASN`, `RMA`, or `Other` object specified by its `type` & `id` path parameters.



## OpenAPI

````yaml GET /v1/receiving/{type}/{id}
openapi: 3.0.3
info:
  title: ShipStream
  version: '1.0'
  license:
    name: Commercial (Copyright 2025 - All Rights Reserved)
    url: https://shipstream.io
  contact:
    name: ShipStream Support
    email: help@shipstream.io
  termsOfService: https://shipstream.io/legal/api-terms/
servers:
  - url: https://{base_url_domain}/api/global
    description: Direct API Url
    variables:
      base_url_domain:
        default: example.shipstream.app
        description: >-
          The fully qualified domain name for your ShipStream WMS instance. This
          is either a custom domain, or a subdomain of shipstream.app,

          and will be the same as the domain name for the page which you use to
          login to ShipStream WMS.
security:
  - ShipStream_bearerAuth: []
tags:
  - name: Warehouses
    x-displayName: Warehouses
  - name: Products
    x-displayName: Products
  - name: Locations
    x-displayName: Locations
  - name: Levels
    x-displayName: Levels
  - name: HoldReasons
    x-displayName: HoldReasons
  - name: Holds
    x-displayName: Holds
  - name: Deliveries
    description: Every thing about a Delivery Receiving
    x-displayName: Deliveries
  - name: Shipments
    x-displayName: Shipments
  - name: Orders
    x-displayName: Orders
  - name: Retailers
    x-displayName: Retailers
  - name: Users
    x-displayName: Users
  - name: User Roles
    x-displayName: User Roles
  - name: Merchants
    x-displayName: Merchants
  - name: Healthcheck
    x-displayName: Healthcheck
paths:
  /v1/receiving/{type}/{id}:
    get:
      tags:
        - Deliveries
      summary: Get one Delivery
      description: >-
        Returns a single `ASN`, `RMA`, or `Other` object specified by its `type`
        & `id` path parameters.
      operationId: getDelivery
      parameters:
        - $ref: '#/components/parameters/Receiving_API_v1_delivery-type'
        - $ref: '#/components/parameters/Receiving_API_v1_delivery-fields'
        - $ref: '#/components/parameters/Receiving_API_v1_fields-merchant'
        - $ref: '#/components/parameters/Receiving_API_v1_fields-warehouse'
        - $ref: '#/components/parameters/Receiving_API_v1_fields-status_history'
        - $ref: '#/components/parameters/Receiving_API_v1_fields-delivery-items'
        - $ref: >-
            #/components/parameters/Receiving_API_v1_fields-delivery-items-exceptions
        - $ref: '#/components/parameters/Receiving_API_v1_fields-delivery-items-lots'
        - $ref: >-
            #/components/parameters/Receiving_API_v1_fields-delivery-items-locations
        - $ref: '#/components/parameters/Receiving_API_v1_fields-delivery-containers'
        - in: path
          name: id
          required: true
          schema:
            type: integer
            format: int32
            minimum: 1
          description: The `id` of the referenced `Delivery`.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  resource:
                    $ref: '#/components/schemas/Receiving_API_v1_CompositeDelivery'
                  included:
                    $ref: '#/components/schemas/Receiving_API_v1_deliveries'
        '400':
          $ref: '#/components/responses/Receiving_API_v1_400-bad-request'
        '404':
          $ref: '#/components/responses/Receiving_API_v1_404-not-found'
        '500':
          $ref: '#/components/responses/Receiving_API_v1_500-internal-server-error'
components:
  parameters:
    Receiving_API_v1_delivery-type:
      in: path
      name: type
      required: true
      schema:
        type: string
        enum:
          - asn
          - rma
          - other
      description: Specify the delivery type to which your operations will be restricted.
    Receiving_API_v1_delivery-fields:
      name: fields
      in: query
      required: false
      description: >-
        Specify additional fields of the `ASN` OR `RMA` object to be included in
        the response.

        See the [selecting fields](/global-api/selecting-fields) page for more
        information.
      explode: false
      schema:
        $ref: '#/components/schemas/Receiving_API_v1_delivery-fields-enum'
    Receiving_API_v1_fields-merchant:
      name: fields:merchant
      in: query
      required: false
      description: >-
        Specify additional fields of the `Merchant` object to be included in the
        response. See the [selecting fields](/global-api/selecting-fields) page
        for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Receiving_API_v1_merchant-fields-enum'
    Receiving_API_v1_fields-warehouse:
      name: fields:warehouse
      in: query
      required: false
      description: >-
        Specify additional fields of the `Warehouse` object to be included in
        the response. See the [selecting fields](/global-api/selecting-fields)
        page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Receiving_API_v1_warehouse-fields-enum'
    Receiving_API_v1_fields-status_history:
      name: fields:status_history
      in: query
      required: false
      description: >-
        Specify additional fields of the `DeliveryStatusHistory` object to be
        included in the response. See the [selecting
        fields](/global-api/selecting-fields) page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Receiving_API_v1_status_history-fields-enum'
    Receiving_API_v1_fields-delivery-items:
      name: fields:items
      in: query
      required: false
      description: >-
        Specify additional fields of the `DeliveryItem` objects to be included
        in the response. See the [selecting
        fields](/global-api/selecting-fields) page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Receiving_API_v1_delivery-item-fields-enum'
    Receiving_API_v1_fields-delivery-items-exceptions:
      name: fields:items.exceptions
      in: query
      required: false
      description: >-
        Specify additional fields of the `DeliveryException` objects nested
        under items to be included in the response. See the [selecting
        fields](/global-api/selecting-fields) page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Receiving_API_v1_delivery-exception-fields-enum'
    Receiving_API_v1_fields-delivery-items-lots:
      name: fields:items.lots
      in: query
      required: false
      description: >-
        Specify additional fields of the `DeliveryItemLot` objects nested under
        items to be included in the response. See the [selecting
        fields](/global-api/selecting-fields) page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Receiving_API_v1_delivery-item-lot-fields-enum'
    Receiving_API_v1_fields-delivery-items-locations:
      name: fields:items.locations
      in: query
      required: false
      description: >-
        Specify additional fields of the `DeliveryItemLocation` objects nested
        under items to be included in the response. See the [selecting
        fields](/global-api/selecting-fields) page for more information.
      explode: false
      schema:
        $ref: >-
          #/components/schemas/Receiving_API_v1_delivery-item-location-fields-enum
    Receiving_API_v1_fields-delivery-containers:
      name: fields:containers
      in: query
      required: false
      description: >-
        Specify additional fields of the `DeliveryContainer` objects to be
        included in the response. See the [selecting
        fields](/global-api/selecting-fields) page for more information.
      explode: false
      schema:
        $ref: '#/components/schemas/Receiving_API_v1_delivery-container-fields-enum'
  schemas:
    Receiving_API_v1_CompositeDelivery:
      anyOf:
        - $ref: '#/components/schemas/Receiving_API_v1_ASN'
        - $ref: '#/components/schemas/Receiving_API_v1_RMA'
        - $ref: '#/components/schemas/Receiving_API_v1_Other'
      discriminator:
        propertyName: type
    Receiving_API_v1_deliveries:
      type: object
      description: >-
        Lists of referenced objects included by specifying optional fields.

        See the [selecting fields](/global-api/selecting-fields) page for more
        information.
      properties:
        DeliveryContainer:
          type: array
          items:
            $ref: '#/components/schemas/Receiving_API_v1_DeliveryContainer'
        DeliveryContainerType:
          type: array
          items:
            $ref: '#/components/schemas/Receiving_API_v1_DeliveryContainerType'
        DeliveryException:
          type: array
          items:
            $ref: '#/components/schemas/Receiving_API_v1_DeliveryException'
        DeliveryItem:
          type: array
          items:
            $ref: '#/components/schemas/Receiving_API_v1_DeliveryItem'
        DeliveryItemLocation:
          type: array
          items:
            $ref: '#/components/schemas/Receiving_API_v1_DeliveryItemLocation'
        DeliveryItemLot:
          type: array
          items:
            $ref: '#/components/schemas/Receiving_API_v1_DeliveryItemLot'
        DeliveryStatusHistory:
          type: array
          items:
            $ref: '#/components/schemas/Receiving_API_v1_DeliveryStatusHistory'
        Lot:
          type: array
          items:
            $ref: '#/components/schemas/Receiving_API_v1_Lot'
        Merchant:
          type: array
          items:
            $ref: '#/components/schemas/Receiving_API_v1_Merchant'
        Product:
          type: array
          items:
            $ref: '#/components/schemas/Receiving_API_v1_CompositeStockableProduct'
        Requester:
          type: array
          items:
            $ref: '#/components/schemas/Receiving_API_v1_Requester'
        Warehouse:
          type: array
          items:
            $ref: '#/components/schemas/Receiving_API_v1_Warehouse'
    Receiving_API_v1_delivery-fields-enum:
      title: Delivery
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - customer_name
          - carrier_name
          - authorized_at
          - delivered_at
          - receive_by
          - processed_at
          - putaway_at
          - completed_at
          - ready_to_process_at
          - merchant_rma_number
          - merchant_status
          - carrier_tracking_number
          - merchant_order_number
          - item_count
          - container_count
          - label_count
          - exception_count
          - processing_comments
          - special_requirements
          - is_auto_commit
          - order
          - created_at
          - updated_at
          - supplier_name
          - expected_at
          - merchant_reference
          - supplier_invoice_reference
          - supplier_order_reference
          - shipment_type
          - bill_of_lading
          - tracking_numbers
          - standard_carrier_alpha_code
          - status_history
          - items
    Receiving_API_v1_merchant-fields-enum:
      title: Merchant
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - code
          - name
          - status
          - created_at
          - updated_at
          - brands
          - default_brand
          - custom_fields
    Receiving_API_v1_warehouse-fields-enum:
      title: Warehouse
      description: >-
        Specify additional fields of the `Warehouse` object to be included in
        the response.
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - id
          - name
          - is_active
          - abbreviation
    Receiving_API_v1_status_history-fields-enum:
      title: DeliveryStatusHistory
      type: array
      items:
        type: string
        enum:
          - all
          - delivery_item
          - status
          - exception
          - exception_status
          - comment
          - user
          - created_at
          - package
    Receiving_API_v1_delivery-item-fields-enum:
      title: DeliveryItem
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - product
          - quantity
          - qty_expected
          - qty_received
          - qty_shortage
          - qty_overage
          - qty_processed
          - qty_putaway
          - qty_committed
          - qty_returned
          - is_sku_merge_email_sent
          - lots
          - locations
          - exceptions
    Receiving_API_v1_delivery-exception-fields-enum:
      title: DeliveryException
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - container
          - lot
          - status
          - sign
          - reason
          - comment
          - quantity
    Receiving_API_v1_delivery-item-lot-fields-enum:
      title: DeliveryItemLot
      type: array
      items:
        type: string
        enum:
          - all
          - lot
          - qty_counted
          - qty_putaway
    Receiving_API_v1_delivery-item-location-fields-enum:
      title: DeliveryItemLocation
      type: array
      items:
        type: string
        enum:
          - all
          - location
          - qty_putaway
          - qty_committed
    Receiving_API_v1_delivery-container-fields-enum:
      title: DeliveryContainer
      type: array
      items:
        type: string
        enum:
          - basic
          - all
          - label
          - type
          - status
          - weight
          - length
          - width
          - height
          - total_skus
          - total_qty
          - contents
    Receiving_API_v1_ASN:
      title: ASN
      description: An `ASN` (Advanced Shipping Notification) delivery object.
      allOf:
        - type: object
          properties:
            type:
              type: string
              enum:
                - ASN
              description: This property describes the type of object in the response body.
            id:
              type: integer
              readOnly: true
              description: >-
                The internal `id` property used as a path parameter in a
                resource lookup.
            supplier_name:
              type: string
              description: Name of the supplier.
              minLength: 1
              maxLength: 255
              nullable: true
            expected_at:
              type: string
              format: date-time
              example: '2019-12-03T21:06:26Z'
              readOnly: true
              nullable: true
              description: >-
                The date and time the ASN delivery is expected in RFC 3339
                section 5.6 notation.
            merchant_reference:
              type: string
              description: >-
                The "Merchant Reference" property. Uniqueness based on this
                field is enforced so an error will be given if a delivery with
                the same merchant_ref already exists.
              minLength: 1
              maxLength: 45
              nullable: true
            supplier_invoice_reference:
              type: string
              description: >-
                Unique reference number that will help to identify the invoice
                of a specific supplier.
              minLength: 1
              maxLength: 45
              nullable: true
            supplier_order_reference:
              type: string
              description: >-
                Unique reference number that will help to identify the order of
                a specific supplier.
              minLength: 1
              maxLength: 45
              nullable: true
            shipment_type:
              type: string
              description: The shipment type that the carrier will use for delivery.
              nullable: true
              enum:
                - international_maritime_freight
                - international_air_freight
                - ftl_freight
                - ltl_freight
                - parcel
                - other
            bill_of_lading:
              type: string
              description: >-
                The legal document used in freight shipping issued by the
                carrier which details the goods being shipped and the
                destination. This will not be available for Parcel or
                Other/Unknown shipment types.
              minLength: 1
              maxLength: 45
              nullable: true
            standard_carrier_alpha_code:
              type: string
              description: >-
                The SCAC (Standard Carrier Alpha Code) is typically marked on a
                shipper's containers and useful for identifying the carrier for
                International Maritime Freight type shipments. This should be 2
                to 4 characters for a specific carrier.
              minLength: 4
              maxLength: 4
              nullable: true
        - $ref: '#/components/schemas/Receiving_API_v1_DeliveryAbstract'
    Receiving_API_v1_RMA:
      title: RMA
      description: An `RMA` (Return Merchandise Authorization) delivery object.
      allOf:
        - type: object
          properties:
            type:
              type: string
              enum:
                - RMA
              description: This property describes the type of object in the response body.
            id:
              type: integer
              readOnly: true
              description: >-
                The internal `id` property used as a path parameter in a
                resource lookup.
            customer_name:
              type: string
              description: >-
                The name of the customer from which the return merchandise
                authorization (RMA) originated.
              minLength: 1
              maxLength: 255
            expected_at:
              type: string
              format: date-time
              example: '2019-12-03T21:06:26Z'
              readOnly: true
              nullable: true
              description: >-
                The date and time the return was authorized in RFC 3339 section
                5.6 notation. \
                  `Optional Field`
            merchant_rma_number:
              type: string
              description: >-
                The RMA number defined for the merchant. This field does not
                have to be unique.
              minLength: 1
              maxLength: 45
            carrier_tracking_number:
              type: string
              description: Carrier tracking number of a spcific delivery
              minLength: 1
              maxLength: 45
            merchant_order_number:
              type: string
              description: >-
                The Merchant Order Number is used to associate the RMA with a
                specific merchant order. This field does not have to be unique.
              minLength: 1
              maxLength: 45
            order:
              allOf:
                - $ref: '#/components/schemas/Receiving_API_v1_OrderRef'
                - description: 'The original order that the RMA is being issued for. '
        - $ref: '#/components/schemas/Receiving_API_v1_DeliveryAbstract'
    Receiving_API_v1_Other:
      title: Other
      description: An `Other` delivery object for miscellaneous receiving operations.
      allOf:
        - type: object
          properties:
            type:
              type: string
              enum:
                - Other
              description: This property describes the type of object in the response body.
            id:
              type: integer
              readOnly: true
              description: >-
                The internal `id` property used as a path parameter in a
                resource lookup.
            sender_name:
              type: string
              description: Name of the sender.
              minLength: 1
              maxLength: 255
              nullable: true
            expected_at:
              type: string
              format: date-time
              example: '2019-12-03T21:06:26Z'
              readOnly: true
              nullable: true
              description: >-
                The date and time the delivery is expected in RFC 3339 section
                5.6 notation.
            merchant_reference:
              type: string
              description: >-
                The "Merchant Reference" property. Uniqueness based on this
                field is enforced so an error will be given if a delivery with
                the same merchant_ref already exists.
              minLength: 1
              maxLength: 45
              nullable: true
            sender_reference:
              type: string
              description: A reference number from the sender.
              minLength: 1
              maxLength: 45
              nullable: true
            sender_reference_alt:
              type: string
              description: An alternate reference number from the sender.
              minLength: 1
              maxLength: 45
              nullable: true
        - $ref: '#/components/schemas/Receiving_API_v1_DeliveryAbstract'
    Receiving_API_v1_DeliveryContainer:
      title: DeliveryContainer
      type: object
      description: An object to represents a `DeliveryContainer`.
      properties:
        type:
          type: string
          readOnly: true
          enum:
            - DeliveryContainer
        id:
          type: integer
          format: int32
          example: 3
          readOnly: true
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
        container_type:
          $ref: '#/components/schemas/Receiving_API_v1_DeliveryContainerType'
        damage_type:
          type: string
          description: This indicates if the container damage is noted or not.
          enum:
            - none
            - noted
            - unnoted
        weight_discrepancy_reason:
          type: string
          description: >-
            A description for why the delivery's weight is not matching the
            expected value.
          enum:
            - none
            - shortage_noted
            - shortage_unnoted
            - overage|unknown
        tare_weight:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_Weight'
            - description: The total weight of the delivery container when empty.
        weight:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_Weight'
            - description: >-
                This defines the full weight of the `DeliveryContainer` in
                imperial or metric units.
        weighed_at:
          type: string
          format: date-time
          example: '2019-12-03T21:06:26Z'
          readOnly: true
          nullable: true
          description: >-
            The date and time the object was weighed in RFC 3339 section 5.6
            notation. \
              `Optional Field`
        weighed_by:
          allOf:
            - description: A user with limited access and assigned to a single merchant.
            - $ref: '#/components/schemas/Receiving_API_v1_UserRef'
        contents:
          type: array
          description: A list of `DeliveryContainerContent` objects.
          items:
            $ref: '#/components/schemas/Receiving_API_v1_DeliveryContainerContent'
        condition_note:
          type: string
          description: A description of the container condition upon reception.
        item_count:
          type: integer
          description: The quantity of items in the delivery container.
    Receiving_API_v1_DeliveryContainerType:
      title: DeliveryContainerType
      type: object
      description: An object to represent `DeliveryContainerType`.
      properties:
        type:
          type: string
          readOnly: true
          enum:
            - DeliveryContainerType
        id:
          type: integer
          format: int32
          example: 3
          readOnly: true
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
        merchant:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_MerchantRef'
            - description: The `Merchant` associated with this delivery container type.
        delivery_type:
          type: string
          description: The type of delivery allowed for the container type.
          enum:
            - asn
            - rma
            - other_delivery
            - cancellation
            - work_order_output
        name:
          type: string
          description: The name of the delivery container type.
          minLength: 1
          maxLength: 255
        name_plural:
          type: string
          description: >-
            The plural form of the delivery container type name used internally
            when referring to more than one type.
          minLength: 1
          maxLength: 255
        weight:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_Weight'
            - description: >-
                This defines the weight of the `DeliveryContainerType` in
                imperial or metric units.
        is_default:
          type: boolean
          description: >-
            This indicates whether or not the `DeliveryContainerType` is the
            default type.
          enum:
            - true
            - false
        is_system:
          type: boolean
          description: >-
            This indicates that the `DeliveryContainerType` is used only for
            internal system operations.
          enum:
            - true
            - false
    Receiving_API_v1_DeliveryException:
      title: DeliveryException
      type: object
      description: An object to represent `DeliveryException`.
      properties:
        type:
          type: string
          readOnly: true
          enum:
            - DeliveryException
        id:
          type: integer
          format: int32
          example: 3
          readOnly: true
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
        container:
          $ref: '#/components/schemas/Receiving_API_v1_DeliveryContainerRef'
        lot:
          $ref: '#/components/schemas/Receiving_API_v1_LotRef'
        status:
          type: string
          description: The status of the exception.
          enum:
            - new
            - pending
            - approved
            - rejected
            - void
            - closed
        sign:
          type: integer
          description: The sign indicating shortage (-1), overage (1), or none (0).
          enum:
            - -1
            - 0
            - 1
        reason:
          type: string
          description: The reason for this exception.
          nullable: true
        comment:
          type: string
          description: A comment included with the exception.
          nullable: true
        quantity:
          type: number
          description: The quantity of the exception.
          format: float
    Receiving_API_v1_DeliveryItem:
      title: DeliveryItem
      type: object
      description: An object to represent `DeliveryItem`.
      properties:
        type:
          type: string
          readOnly: true
          enum:
            - DeliveryItem
        id:
          type: integer
          format: int32
          example: 3
          readOnly: true
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
        product:
          $ref: '#/components/schemas/Receiving_API_v1_ProductRef'
        quantity:
          type: number
          description: The quantity of items in the delivery.
          format: float
        qty_expected:
          type: number
          description: The quantity of items expected in the delivery.
          format: float
        qty_received:
          type: number
          description: The quantity of items received at the time of delivery.
          format: float
        qty_shortage:
          type: number
          description: The quantity of missing items in the delivery.
          format: float
        qty_overage:
          type: number
          description: The quantity of extra items in the delivery.
          format: float
        qty_processed:
          type: number
          description: The quantity of items processed in the delivery.
          format: float
        qty_putaway:
          type: number
          description: The quantity of items in "put-away".
          format: float
        qty_committed:
          type: number
          description: The quantity of items committed in the delivery.
          format: float
        qty_returned:
          type: number
          description: The quantity of items returned in the delivery.
          format: float
        is_sku_merge_email_sent:
          type: boolean
          description: A flag indicating if the SKU merge email was sent.
          enum:
            - true
            - false
        lots:
          type: array
          description: The item lot associated with the delivery item.
          readOnly: true
          items:
            $ref: '#/components/schemas/Receiving_API_v1_DeliveryItemLotRef'
        locations:
          type: array
          description: The location assigned to the delivery item.
          readOnly: true
          items:
            $ref: '#/components/schemas/Receiving_API_v1_DeliveryItemLocationRef'
        exceptions:
          type: array
          description: An array of exceptions for the delivery item.
          readOnly: true
          items:
            $ref: '#/components/schemas/Receiving_API_v1_DeliveryExceptionRef'
    Receiving_API_v1_DeliveryItemLocation:
      title: DeliveryItemLocation
      type: object
      description: An object to represents a `DeliveryItemLocation`.
      properties:
        type:
          type: string
          readOnly: true
          enum:
            - DeliveryItemLocation
        id:
          type: integer
          format: int32
          example: 3
          readOnly: true
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
        location:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_LocationRef'
            - description: >-
                A Location describes a user-specified inventory address within a
                warehouse.
        qty_putaway:
          type: number
          description: The quantity of delivery items for "put-away" in this location.
          format: float
        qty_committed:
          type: number
          description: The quantity of delivery items committed to this location.
          format: float
    Receiving_API_v1_DeliveryItemLot:
      title: DeliveryItemLot
      type: object
      description: An object to represents a `DeliveryItemLot`.
      properties:
        type:
          type: string
          readOnly: true
          enum:
            - DeliveryItemLot
        id:
          type: integer
          format: int32
          example: 3
          readOnly: true
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
        lot:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_Lot'
            - description: >-
                A reference to the `Lot` object associated with Warehouse
                Inventory Location.
        qty_counted:
          type: number
          description: The quantity of delivery items counted.
          format: float
        qty_putaway:
          type: number
          description: The quantity of delivery items for "put-away"
          format: float
    Receiving_API_v1_DeliveryStatusHistory:
      title: DeliveryStatusHistory
      type: object
      description: A `DeliveryStatusHistory` represents a status history of a delivery.
      properties:
        delivery_item:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_DeliveryItem'
            - description: >-
                The item being delivered which includes inventory quantities and
                stock movement information. 
        status:
          type: string
          description: The status of the delivery at the time the history event was added.
          readOnly: true
          enum:
            - new
            - accepting
            - accepted
            - ready_to_process
            - processing
            - processing_exception
            - processed
            - putting_away
            - put_away
            - complete
            - canceled
            - void
        exception:
          type: object
          description: The processing exception of the container in the delivery.
          properties:
            type:
              type: string
              enum:
                - Exception
            id:
              type: integer
              description: >-
                The internal id property used as a path parameter in a resource
                lookup.
        exception_status:
          type: string
          description: The status of the processing exception.
          enum:
            - new
            - pending
            - approved
            - rejected
            - void
        comment:
          type: string
          description: >-
            An optional description for the history event which can be added
            programatically.
          readOnly: true
        requester:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_RequesterRef'
          nullable: true
          description: The requester attributed to the delivery's status history update.
        created_at:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_created_at'
        package:
          type: object
          description: The package associated with the delivery.
          properties:
            type:
              type: string
              enum:
                - Package
            id:
              type: integer
              description: >-
                The internal `id` property used as a path parameter in a
                resource lookup.
    Receiving_API_v1_Lot:
      title: Lot
      type: object
      description: >-
        The Lot records the time some inventory was originated (first received
        or

        otherwise created) and optionally a lot number and expiration date and
        may affect the order in which

        inventory is "burned" depending on the `LotType`.
      properties:
        type:
          type: string
          enum:
            - Lot
          readOnly: true
          description: >-
            This is a read-only property that describes the type of object in
            the response body.
        id:
          type: integer
          example: 54
          readOnly: true
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
      nullable: true
    Receiving_API_v1_Merchant:
      title: Merchant
      type: object
      description: >-
        A `Merchant` represents an entity that owns a distinct pool of inventory
        and line of business.
      properties:
        type:
          type: string
          enum:
            - Merchant
          readOnly: true
        id:
          type: integer
          format: int32
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
          readOnly: true
          example: 4
        code:
          type: string
          description: >-
            Merchant code may only contain letters (a-z), numbers (0-9) or
            underscore(_), the first character must be a letter.
          minLength: 1
          maxLength: 32
          example: acme_inc
        name:
          type: string
          description: Any string which uniquely identifies a Merchant.
          minLength: 1
          maxLength: 64
          example: ACME Inc.
        status:
          type: string
          enum:
            - active
            - inactive
            - suspended
            - archived
          default: active
          description: >-
            Lifecycle status of the Merchant:

            - `active`: Merchant is operational and available for use

            - `suspended`: Temporarily on hold, can be easily reactivated

            - `inactive`: Long-term offline status, reactivation is possible but
            may require additional steps

            - `archived`: Soft delete status, manual recovery required
          example: active
          nullable: true
          readOnly: true
        created_at:
          $ref: '#/components/schemas/Receiving_API_v1_created_at-optional'
        updated_at:
          $ref: '#/components/schemas/Receiving_API_v1_updated_at'
        brands:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/Receiving_API_v1_BrandRef'
          description: >-
            A merchant must have one or more brands which may share the same
            pool of inventory. Brands can be used for

            customizing presentation and behaviors and often correspond to
            distinct lines of business or market presences.\
              `Optional Field`
          readOnly: true
        default_brand:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_BrandRef'
          description: >-
            This is the primary brand used when defining only the merchant for
            operations such as creating a new product.\
              `Optional Field`
        custom_fields:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_sales_custom_fields'
          nullable: true
          description: >-
            Custom fields associated with the merchant in script format. Each
            field contains

            a code and value, with additional properties depending on the field
            type.\
              `Optional Field`
    Receiving_API_v1_CompositeStockableProduct:
      anyOf:
        - $ref: '#/components/schemas/Receiving_API_v1_Product'
        - $ref: '#/components/schemas/Receiving_API_v1_PackagingContainer'
        - $ref: '#/components/schemas/Receiving_API_v1_PackagingSupplies'
        - $ref: '#/components/schemas/Receiving_API_v1_PackagingInfill'
      discriminator:
        propertyName: type
    Receiving_API_v1_Requester:
      title: Requester
      type: object
      description: >-
        A `Requester` represents the entity (user, API token, integration,
        script, etc.) that performed

        an action in the system. The `entity_type` indicates the kind of entity
        and `entity_id` is the

        ID of that entity in its respective table.
      properties:
        type:
          type: string
          enum:
            - Requester
          description: The resource type (always "Requester").
        id:
          type: integer
          format: int32
          example: 3
          readOnly: true
          description: The internal requester ID (`requester_id`).
        entity_type:
          type: string
          enum:
            - OrganizationUser
            - ClientUser
            - MerchantAPI
            - GlobalAPI
            - MerchantIntegration
            - GlobalIntegration
            - Script
            - Other
          description: The type of entity that performed the action.
        entity_id:
          type: integer
          format: int32
          example: 5
          description: >-
            The ID of the entity in its respective table (e.g., user ID,
            integration ID).
        name:
          type: string
          maxLength: 255
          example: Bernard Greensmith
          description: Human-readable display name for the requester.
        status:
          type: string
          enum:
            - active
            - inactive
            - suspended
            - deleted
            - unknown
          description: The current status of the requester entity.
      required:
        - type
        - id
        - entity_type
        - entity_id
      additionalProperties: false
    Receiving_API_v1_Warehouse:
      title: Warehouse
      type: object
      description: >-
        A `Warehouse` represents a physical location from which you can store
        inventory and perform operations independently of other warehouses.
      properties:
        type:
          type: string
          enum:
            - Warehouse
          readOnly: true
          description: >-
            This is a read-only property that describes the type of object in
            the response body.
        id:
          type: integer
          format: int32
          example: 3
          readOnly: true
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
        name:
          type: string
          example: East Coast 1
          maxLength: 255
          description: The display name for the `Warehouse`.
        abbreviation:
          type: string
          maxLength: 10
          nullable: true
          example: EC1
          description: >-
            A short abbreviation for the `Warehouse`, up to 10 characters.
            Recommended to be fewer than 6 characters.\
              `Optional Field`
        is_active:
          type: boolean
          example: true
          description: >-
            This flag determines if the `Warehouse` is active and viable for
            fulfillment.
      required:
        - type
        - id
      additionalProperties: false
    Receiving_API_v1_DeliveryAbstract:
      type: object
      properties:
        warehouse:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_WarehouseRef'
            - description: The `Warehouse` which is the destination for this delivery.
        merchant:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_MerchantRef'
            - description: The `Merchant` to which this delivery belongs.
        increment_id:
          type: string
          example: '11000020'
          description: Unique identifier for the `Delivery`.
          readOnly: true
        state:
          type: string
          description: This describes the high-level, overall progress of the delivery.
          enum:
            - new
            - processing
            - putting_away
            - pending_commit
            - complete
            - canceled
          readOnly: true
        status:
          type: string
          description: >-
            This describes the low-level details of the current process of the
            delivery.
          enum:
            - new
            - accepting
            - accepted
            - ready_to_process
            - processing
            - processing_exception
            - processed
            - putting_away
            - put_away
            - complete
            - canceled
            - void
          readOnly: true
        progress_percent:
          type: integer
          description: The overall delivery completion progress from 0 to 100 percent.
          minimum: 0
          maximum: 100
          readOnly: true
        carrier_name:
          type: string
          description: The name of the carrier assigned to the delivery.
          minLength: 1
          maxLength: 255
        delivered_at:
          type: string
          format: date-time
          example: '2019-12-03T21:06:26Z'
          readOnly: true
          nullable: true
          description: >-
            The date and time the delivery was delivered in RFC 3339 section 5.6
            notation. This corresponds with the "Delivered At" field in the
            ShipStream UI. \
              `Optional Field`
        receive_by:
          type: string
          format: date-time
          example: '2019-12-03T21:06:26Z'
          readOnly: true
          nullable: true
          description: >-
            The date and time the delivery was received in RFC 3339 section 5.6
            notation. \
              `Optional Field`
        processed_at:
          type: string
          format: date-time
          example: '2019-12-03T21:06:26Z'
          readOnly: true
          nullable: true
          description: >-
            The date and time the delivery was processed in RFC 3339 section 5.6
            notation. \
              `Optional Field`
        putaway_at:
          type: string
          format: date-time
          example: '2019-12-03T21:06:26Z'
          readOnly: true
          nullable: true
          description: >-
            The date and time the delivery was put away in RFC 3339 section 5.6
            notation. \
              `Optional Field`
        completed_at:
          type: string
          format: date-time
          example: '2019-12-03T21:06:26Z'
          readOnly: true
          nullable: true
          description: >-
            The date and time the delivery was completed in RFC 3339 section 5.6
            notation. \
              `Optional Field`
        ready_to_process_at:
          type: string
          format: date-time
          example: '2019-12-03T21:06:26Z'
          readOnly: true
          nullable: true
          description: >-
            The date and time the delivery will be ready to process in RFC 3339
            section 5.6 notation. \
              `Optional Field`
        merchant_status:
          type: string
          description: The merchant status for a delivery.
          minLength: 1
          maxLength: 45
          nullable: true
        item_count:
          type: integer
          description: The quantity of delivery items.
          readOnly: true
        container_count:
          type: integer
          description: The quantity of delivery containers.
          readOnly: true
        label_count:
          type: integer
          description: The quantity of delivery labels.
          readOnly: true
        exception_count:
          type: integer
          description: The quantity of delivery exceptions.
          readOnly: true
        processing_comments:
          type: string
          description: >-
            Comments for the delivery are recorded in the History tab of the
            ShipStream Delivery view. This corresponds to Processing Options >
            Processing Comments when creating a delivery.
          minLength: 1
          maxLength: 1000
          nullable: true
        special_requirements:
          type: array
          description: >-
            Special delivery requirements are set in the ShipStream
            Configurations.
          items:
            type: string
        is_auto_commit:
          type: boolean
          description: >-
            This is a flag indicating whether or not inventory can be commited
            automatically. 0 - Disabled, 1 - Enabled, 2 - Use default from
            config.
        created_at:
          $ref: '#/components/schemas/Receiving_API_v1_created_at-optional'
        updated_at:
          $ref: '#/components/schemas/Receiving_API_v1_updated_at-optional'
        tracking_numbers:
          type: array
          description: The tracking numbers associated with the delivery.
          items:
            type: string
        status_history:
          type: array
          description: A log of updates, comments and status changes added to this object.
          readOnly: true
          items:
            allOf:
              - $ref: '#/components/schemas/Receiving_API_v1_DeliveryStatusHistory'
        items:
          type: array
          description: The items included in this delivery.
          readOnly: true
          items:
            $ref: '#/components/schemas/Receiving_API_v1_DeliveryItem'
      required:
        - type
        - warehouse
    Receiving_API_v1_OrderRef:
      title: OrderRef
      type: object
      description: A reference to an `Order` by `id`.
      properties:
        type:
          type: string
          enum:
            - Order
        id:
          type: integer
          format: int32
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
      required:
        - type
        - id
      nullable: true
      additionalProperties: false
    Receiving_API_v1_Weight:
      title: Weight
      type: object
      nullable: true
      properties:
        value:
          type: number
          description: >-
            The weight quantity defined as a floating point value of up to 4
            decimal places.
          format: float
          example: 20
        unit:
          $ref: '#/components/schemas/Receiving_API_v1_WeightUnit'
    Receiving_API_v1_UserRef:
      title: UserRef
      type: object
      description: Reference an `OrganizationUser` or `ClientUser` by `id`.
      properties:
        type:
          type: string
          enum:
            - OrganizationUser
            - ClientUser
        id:
          type: integer
          format: int32
          example: 3
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
      required:
        - type
        - id
      additionalProperties: false
    Receiving_API_v1_DeliveryContainerContent:
      title: DeliveryContainerContent
      type: object
      description: An object to represents a `DeliveryContainerContent`.
      properties:
        delivery_item:
          $ref: '#/components/schemas/Receiving_API_v1_DeliveryItemRef'
        qty_counted:
          type: number
          description: The quantity of contents within a delivery container.
          format: float
        qty_shortage:
          type: number
          description: The quantity of items missing from the delivery container.
          format: float
        qty_counted_per_lot:
          type: array
          description: >-
            The quantity of items in the container counted per delivery
            container lot.
          items:
            type: object
            properties:
              lot:
                allOf:
                  - $ref: '#/components/schemas/Receiving_API_v1_LotRef'
              quantity:
                type: number
                description: >-
                  The quantity of items for the specified delivery container
                  lot.
                format: float
    Receiving_API_v1_MerchantRef:
      title: MerchantRef
      type: object
      description: Reference a `Merchant` by `id`.
      properties:
        type:
          type: string
          enum:
            - Merchant
        id:
          type: integer
          format: int32
          example: 4
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
      required:
        - type
        - id
      additionalProperties: false
    Receiving_API_v1_DeliveryContainerRef:
      title: DeliveryContainerRef
      type: object
      description: A reference to `DeliveryContainer` object.
      properties:
        type:
          type: string
          readOnly: true
          enum:
            - DeliveryContainer
        id:
          type: integer
          format: int32
          example: 3
          readOnly: true
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
    Receiving_API_v1_LotRef:
      title: LotRef
      type: object
      description: >-
        A reference to a `Lot` object. The Lot records the time some inventory
        was originated (first received or

        otherwise created) and optionally a lot number and expiration date and
        may affect the order in which

        inventory is "burned" depending on the `LotType`.
      properties:
        type:
          type: string
          enum:
            - Lot
          description: This property describes the type of object in the response body.
        id:
          type: integer
          example: 54
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
      required:
        - type
        - id
      nullable: true
      additionalProperties: false
    Receiving_API_v1_ProductRef:
      title: ProductRef
      type: object
      description: A reference to a `Product` object by `id`.
      properties:
        type:
          type: string
          enum:
            - Product
          description: This property describes the type of object in the response body.
        id:
          type: integer
          format: int32
          example: 3
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
      required:
        - type
        - id
      additionalProperties: false
    Receiving_API_v1_DeliveryItemLotRef:
      title: DeliveryItemLotRef
      type: object
      description: A reference to `DeliveryItemLot` object.
      properties:
        type:
          type: string
          readOnly: true
          enum:
            - DeliveryItemLot
        id:
          type: integer
          format: int32
          example: 3
          readOnly: true
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
    Receiving_API_v1_DeliveryItemLocationRef:
      title: DeliveryItemLocationRef
      type: object
      description: A reference to `DeliveryItemLocation` object.
      properties:
        type:
          type: string
          readOnly: true
          enum:
            - DeliveryItemLocation
        id:
          type: integer
          format: int32
          example: 3
          readOnly: true
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
    Receiving_API_v1_DeliveryExceptionRef:
      title: DeliveryExceptionRef
      type: object
      description: A reference to `DeliveryException` object.
      properties:
        type:
          type: string
          readOnly: true
          enum:
            - DeliveryException
        id:
          type: integer
          format: int32
          example: 3
          readOnly: true
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
    Receiving_API_v1_LocationRef:
      title: LocationRef
      type: object
      description: A reference to a `Location` by `id`.
      properties:
        type:
          type: string
          description: This property describes the type of object in the response body.
          enum:
            - Location
        id:
          type: integer
          format: int32
          example: 42
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
      required:
        - type
        - id
      nullable: true
      additionalProperties: false
    Receiving_API_v1_RequesterRef:
      title: RequesterRef
      type: object
      description: Reference a requester (who/what performed an action) by `type` and `id`.
      properties:
        type:
          type: string
          enum:
            - Requester
          example: Requester
          description: The resource type (always "Requester").
        id:
          type: integer
          format: int32
          example: 3
          description: The internal requester ID (`requester_id`).
      required:
        - type
        - id
      additionalProperties: false
    Receiving_API_v1_created_at:
      type: string
      format: date-time
      description: >-
        The date and time the object was created in RFC 3339 section 5.6
        notation.
      example: '2017-07-21T17:32:28Z'
      readOnly: true
    Receiving_API_v1_created_at-optional:
      type: string
      format: date-time
      description: >-
        The date and time the object was created in RFC 3339 section 5.6
        notation.\
          `Optional Field`
      example: '2017-07-21T17:32:28Z'
      nullable: true
      readOnly: true
    Receiving_API_v1_updated_at:
      type: string
      format: date-time
      description: >-
        The date and time the object was last updated in RFC 3339 section 5.6
        notation.\
          `Optional Field`
      example: '2017-07-21T17:39:43Z'
      nullable: true
      readOnly: true
    Receiving_API_v1_BrandRef:
      title: BrandRef
      type: object
      description: Reference a `Brand` by `id`.
      properties:
        type:
          type: string
          enum:
            - Brand
        id:
          type: integer
          format: int32
          description: The numeric `id` of a particular resource being updated.
          example: 4
      required:
        - type
        - id
      additionalProperties: false
    Receiving_API_v1_sales_custom_fields:
      type: object
      description: >-
        Custom field values for the order, keyed by field code.


        The format of each value depends on the field's input type:

        - **select**: `{"id": <integer>, "label": "<string>"}`

        - **multiselect**: `[{"id": <integer>, "label": "<string>"}, ...]`

        - **currency**: Uses the Monetary type `{"amount": <number>, "currency":
        "<string>"}`

        - **boolean**: `{"value": <boolean>}`

        - **text/multiline-text/email/url/date**: `{"value": "<string>"}`

        - **number**: `{"value": <number>}`

        - **admin-user/client-user**: `{"value": <integer>}` (user ID)
      additionalProperties:
        $ref: '#/components/schemas/Receiving_API_v1_custom_field_value'
      example:
        is_gift:
          value: true
        order_details:
          value: test details
        department:
          id: 3
          label: Shipping
        priority_levels:
          - id: 1
            label: Urgent
          - id: 2
            label: High
        cost_of_goods:
          amount: 156.99
          currency: USD
        assigned_user:
          value: 42
    Receiving_API_v1_Product:
      title: Product
      description: A Product contains information about a sellable item.
      allOf:
        - type: object
          properties:
            type:
              type: string
              enum:
                - Product
              description: This property describes the type of object in the response body.
            id:
              type: integer
              description: >-
                The internal, read-only, `id` property used as a path parameter
                in a resource lookup.
              readOnly: true
            vendor_sku:
              type: string
              description: >-
                For informational use only. Displayed during delivery processing
                to help match products.\
                  `Optional Field`
              nullable: true
              example: Vendor-SKU-1AD2
            external_id:
              type: string
              nullable: true
              example: 11-993-9048
              description: May be used for external product sync.
            barcodes:
              anyOf:
                - type: array
                  items:
                    type: string
                  nullable: true
                  example:
                    - 956623520-4
                    - O-VS-Oregano-p3
                - type: string
                  nullable: true
                  example: 956623520-4
              description: A comma separated list of unique packaging feature barcodes.
            goods_type:
              type: string
              enum:
                - NORMAL
                - ORM_D
                - LIMITED_QUANTITIES_COMMODITIES
                - HAZMAT
              description: >-
                This defines the regulations, if any, assigned to a `Product`.

                - `NORMAL` Not Regulated

                - `ORM_D`  ORM-D

                - `LIMITED_QUANTITIES_COMMODITIES`  Limited Quantities: Consumer
                Commodity

                - `HAZMAT` Regulated
            is_available:
              type: boolean
              enum:
                - true
                - false
              default: true
              description: This flag must be `true` to allow the `Product` to be ordered.
            is_visible:
              type: boolean
              enum:
                - true
                - false
              default: true
              description: >-
                This flag must be `true` to show the `Product` in the inventory
                feed.
            lot_type:
              allOf:
                - $ref: '#/components/schemas/Receiving_API_v1_LotTypeRef'
                - description: >-
                    This `LotType` determines how a `Product` should be "burned"
                    and whether lots with dissimilar data

                    can be "mixed".\
                      `Optional Field`
            weight:
              allOf:
                - $ref: '#/components/schemas/Receiving_API_v1_Weight'
                - description: >-
                    This object defines the weight of the `Product` in imperial
                    or metric units.\
                      `Optional Field`
            dimensions:
              allOf:
                - $ref: '#/components/schemas/Receiving_API_v1_Dimensions'
                - description: >-
                    This object defines the length, width, and height of the
                    `Product` in imperial or metric units.\
                      `Optional Field`
            volume:
              allOf:
                - $ref: '#/components/schemas/Receiving_API_v1_Volume'
                - description: >-
                    This object defines the cubic size of the `Product` in
                    imperial or metric units.\
                      `Optional Field`
            inventory:
              allOf:
                - $ref: '#/components/schemas/Receiving_API_v1_Inventory'
                - description: >-
                    This object describes how the `Product` Stock is defined,
                    such as real config values, or Virtual Inventory, and how to
                    handle Backorders.\
                      `Optional Field`
            export:
              allOf:
                - $ref: '#/components/schemas/Receiving_API_v1_Export'
                - description: >-
                    This object contains fields for describing and codifying an
                    internationally exportable `Product`.\
                      `Optional Field`
            regulated_goods:
              allOf:
                - $ref: '#/components/schemas/Receiving_API_v1_RegulatedGoods'
                - description: >-
                    This object only applies a `Product` using the "Regulated"
                    Goods Type, and describes the `Regulation` and container
                    specifications for the `Product`.\
                      `Optional Field`
            packaging:
              allOf:
                - $ref: '#/components/schemas/Receiving_API_v1_Packaging'
                - description: >-
                    This object defines how the shipping container/box for the
                    `Product` is to be processed and whether there are any
                    special instructions during packing.\
                      `Optional Field`
            custom_fields:
              allOf:
                - $ref: '#/components/schemas/Receiving_API_v1_custom_fields'
                - description: >-
                    This will set any Product Attributes, pre-defined by the
                    user, for the `Product`.\
                      `Optional Field`
        - $ref: '#/components/schemas/Receiving_API_v1_AbstractProduct'
    Receiving_API_v1_PackagingContainer:
      title: PackagingContainer
      description: >-
        A reference to the `PackagingContainer` object linked with Warehouse
        Inventory Location.
      allOf:
        - type: object
          properties:
            type:
              type: string
              enum:
                - PackagingContainer
              description: This property describes the type of object in the response body.
            id:
              type: integer
              description: >-
                The internal, read-only, `id` property used as a path parameter
                in a resource lookup.
              readOnly: true
            container_options:
              type: object
              properties:
                barcodes:
                  allOf:
                    - $ref: '#/components/schemas/Receiving_API_v1_barcodes'
                    - description: >-
                        A comma separated list of unique packaging feature
                        barcodes.\
                          `Optional Field`
                weight:
                  allOf:
                    - $ref: '#/components/schemas/Receiving_API_v1_Weight'
                    - description: >-
                        The weight of the container when packed with the
                        shipment items.
                dimensions:
                  allOf:
                    - $ref: '#/components/schemas/Receiving_API_v1_Dimensions'
                    - description: >-
                        The dimensions of the container in imperial or metric
                        units.
                volume:
                  allOf:
                    - $ref: '#/components/schemas/Receiving_API_v1_Volume'
                    - description: >-
                        The total volume of the container in imperial or metric
                        units.
                      readOnly: true
                manage_stock:
                  type: boolean
                  description: >-
                    This flag indicates whether or not to adjust the inventory
                    quantity of the packaging feature with each use. If `true`
                    then the inventory levels will decrease with each use. If
                    `no` then the inventory will not adjust with each use.
                  enum:
                    - true
                    - false
                associated_products:
                  type: array
                  description: >-
                    A list of products with this packaging feature selected in
                    its "Other Special Features" option in the product's
                    "Packaging" tab.
                  items:
                    $ref: '#/components/schemas/Receiving_API_v1_ProductRef'
                allow_for_brands:
                  type: array
                  description: >-
                    If specified, this packaging feature will only be applicable
                    to the selected merchants/brands.
                  items:
                    anyOf:
                      - $ref: '#/components/schemas/Receiving_API_v1_MerchantRef'
                      - $ref: '#/components/schemas/Receiving_API_v1_BrandRef'
                disallow_for_brands:
                  type: array
                  description: >-
                    If specified, this packaging feature will not be applicable
                    to the selected merchants/brands.
                  items:
                    anyOf:
                      - $ref: '#/components/schemas/Receiving_API_v1_MerchantRef'
                      - $ref: '#/components/schemas/Receiving_API_v1_BrandRef'
                billing_amount:
                  allOf:
                    - $ref: '#/components/schemas/Receiving_API_v1_Monetary'
                    - description: >-
                        The amount that will be billable for consumption of one
                        unit of this packaging feature.\
                          `Optional Field`
                allow_for_warehouses:
                  type: array
                  description: >-
                    If specified, this packaging feature will only be applicable
                    to the selected warehouses.
                  items:
                    $ref: '#/components/schemas/Receiving_API_v1_WarehouseRef'
                allow_for_shipping_methods:
                  type: array
                  description: >-
                    If specified, this packaging feature will only be applicable
                    to the selected carriers/shipping methods.
                  items:
                    type: string
                satisfies_overbox:
                  type: boolean
                  description: >-
                    Will be a valid container for products which have `Requires
                    Overbox: Yes`.
                  enum:
                    - true
                    - false
                use_for_bin_packing:
                  type: string
                  description: >-
                    Containers with "Use for Bin Packing: No" will not be used
                    by packing solution providers.
                  enum:
                    - 'yes'
                    - 'no'
                    - fallback
                weight_capacity:
                  allOf:
                    - $ref: '#/components/schemas/Receiving_API_v1_Weight'
                    - description: >-
                        Maximum allowed weight of the container, including tare
                        weight.

                        `Optional Field`
                container_style:
                  type: string
                  description: >-
                    Specify the container type. Currently, only "Rigid Box" is
                    supported.
                  enum:
                    - rigid_box
                packaging_handling_surcharge:
                  type: boolean
                  description: >-
                    The Packaging Surcharge is applicable for this packaging
                    feature (e.g. cylindrical, non-fiberboard material,
                    protrusions, non-conveyable, etc.)
                  enum:
                    - true
                    - false
        - $ref: '#/components/schemas/Receiving_API_v1_AbstractProduct'
    Receiving_API_v1_PackagingSupplies:
      title: PackagingSupplies
      description: >-
        A reference to the `PackagingSupplies` object linked with Warehouse
        Inventory Location.
      allOf:
        - type: object
          properties:
            type:
              type: string
              enum:
                - PackagingSupplies
              description: This property describes the type of object in the response body.
            id:
              type: integer
              description: >-
                The internal, read-only, `id` property used as a path parameter
                in a resource lookup.
              readOnly: true
            supplies_options:
              type: object
              properties:
                barcodes:
                  allOf:
                    - $ref: '#/components/schemas/Receiving_API_v1_barcodes'
                    - description: >-
                        A comma separated list of unique packaging feature
                        barcodes.\
                          `Optional Field`
                weight:
                  allOf:
                    - $ref: '#/components/schemas/Receiving_API_v1_Weight'
                    - description: |-
                        The weight of the infill.
                        `Optional Field`
                manage_stock:
                  type: boolean
                  description: >-
                    This flag indicates whether or not to adjust the inventory
                    quantity of the packaging feature with each use. If `true`
                    then the inventory levels will decrease with each use. If
                    `no` then the inventory will not adjust with each use.
                  enum:
                    - true
                    - false
                associated_products:
                  type: array
                  description: >-
                    A list of products with this packaging feature selected in
                    its "Other Special Features" option in the product's
                    "Packaging" tab.
                  items:
                    $ref: '#/components/schemas/Receiving_API_v1_ProductRef'
                allow_for_brands:
                  type: array
                  description: >-
                    If specified, this packaging feature will only be applicable
                    to the selected merchants/brands.
                  items:
                    anyOf:
                      - $ref: '#/components/schemas/Receiving_API_v1_MerchantRef'
                      - $ref: '#/components/schemas/Receiving_API_v1_BrandRef'
                disallow_for_brands:
                  type: array
                  description: >-
                    If specified, this packaging feature will not be applicable
                    to the selected merchants/brands.
                  items:
                    anyOf:
                      - $ref: '#/components/schemas/Receiving_API_v1_MerchantRef'
                      - $ref: '#/components/schemas/Receiving_API_v1_BrandRef'
                billing_amount:
                  allOf:
                    - $ref: '#/components/schemas/Receiving_API_v1_Monetary'
                    - description: >-
                        The amount that will be billable for consumption of one
                        unit of this packaging feature.\
                          `Optional Field`
                allow_for_warehouses:
                  type: array
                  description: >-
                    If specified, this packaging feature will only be applicable
                    to the selected warehouses.
                  items:
                    $ref: '#/components/schemas/Receiving_API_v1_WarehouseRef'
                allow_for_shipping_methods:
                  type: array
                  description: >-
                    If specified, this packaging feature will only be applicable
                    to the selected carriers/shipping methods.
                  items:
                    type: string
                packaging_handling_surcharge:
                  type: boolean
                  description: >-
                    The Packaging Surcharge is applicable for this packaging
                    feature (e.g. cylindrical, non-fiberboard material,
                    protrusions, non-conveyable, etc.)
                  enum:
                    - true
                    - false
                apply_to_goods_type:
                  type: string
                  enum:
                    - any
                    - NORMAL
                    - ORM_D
                  description: >-
                    This packaging feature will be applied to all shipments
                    which do not contain an item with this Goods Type.

                    - `NORMAL` Not Regulated

                    - `ORM_D`  ORM-D

                    `Optional Field`
                never_apply_to_goods_type:
                  type: string
                  enum:
                    - NORMAL
                    - LIMITED_QUANTITIES_COMMODITIES
                    - HAZMAT
                  description: >-
                    This packaging feature will be applied to all shipments
                    which do not contain an item with this Goods Type.

                    - `NORMAL` Not Regulated

                    - `LIMITED_QUANTITIES_COMMODITIES`  Limited Quantities:
                    Consumer Commodity

                    - `HAZMAT` Regulated

                    `Optional Field`
                apply_only_above_weight:
                  allOf:
                    - $ref: '#/components/schemas/Receiving_API_v1_Weight'
                    - description: >-
                        If specified, this packaging supply is not a requirement
                        for packages under the given weight when "Always/Never
                        Apply to Goods Type" is specified.

                        `Optional Field`
                one_per:
                  type: string
                  description: >-
                    The expected number of scans per shipment. The product "Unit
                    Quantity" is used as a multiplier for "One Scan Per: Each".
                  enum:
                    - order
                    - package
                    - item
                    - each
                require_scan_timing:
                  type: string
                  description: >-
                    Choose how the scan timer should begin recording time data
                    on this product or packaging feature.
                  enum:
                    - after_product_scan|on_full
                    - on_start
                disable_confirm_button:
                  type: boolean
                  description: >-
                    If "No", the user will be able to tap "Confirm" rather than
                    scanning a barcode.
                  enum:
                    - true
                    - false
                require_packaging_type:
                  type: string
                  description: >-
                    If specified, this packaging feature will only be applicable
                    when the container meets the chosen criteria based on the
                    container's "Satisfies Overbox" attribute when "Always/Never
                    Apply to Goods Type" is specified.
                  enum:
                    - overbox
                    - non_overbox
                apply_to_region:
                  type: string
                  description: >-
                    Unless specified, this packaging feature will apply to all
                    regions when "Always/Never Apply to Goods Type" is
                    specified.
                apply_unless_container_meets_hazmat:
                  type: boolean
                  description: >-
                    If "Yes", this packaging product will be applicable unless a
                    package contains a DG item with "Container Meets Hazmat
                    Specs: Yes" when "Always/Never Apply to Goods Type" is
                    specified.
                  enum:
                    - true
                    - false
                apply_to_multi_sku_package:
                  type: boolean
                  description: >-
                    If "Yes", this packaging product will only be applied to
                    packages containing more than one SKU when "Always/Never
                    Apply to Goods Type" is specified.
                  enum:
                    - true
                    - false
        - $ref: '#/components/schemas/Receiving_API_v1_AbstractProduct'
    Receiving_API_v1_PackagingInfill:
      title: PackagingInfill
      description: >-
        A reference to the `PackagingInfill` object linked with Warehouse
        Inventory Location.
      allOf:
        - type: object
          properties:
            type:
              type: string
              enum:
                - PackagingInfill
              description: This property describes the type of object in the response body.
            id:
              type: integer
              description: >-
                The internal, read-only, `id` property used as a path parameter
                in a resource lookup.
              readOnly: true
            infill_options:
              type: object
              properties:
                barcodes:
                  allOf:
                    - $ref: '#/components/schemas/Receiving_API_v1_barcodes'
                    - description: >-
                        A comma separated list of unique packaging feature
                        barcodes.\
                          `Optional Field`
                weight:
                  allOf:
                    - $ref: '#/components/schemas/Receiving_API_v1_Weight'
                    - description: |-
                        The weight of the infill.
                        `Optional Field`
                manage_stock:
                  type: boolean
                  description: >-
                    This flag indicates whether or not to adjust the inventory
                    quantity of the packaging feature with each use. If `true`
                    then the inventory levels will decrease with each use. If
                    `no` then the inventory will not adjust with each use.
                  enum:
                    - true
                    - false
                associated_products:
                  type: array
                  description: >-
                    A list of products with this packaging feature selected in
                    its "Other Special Features" option in the product's
                    "Packaging" tab.
                  items:
                    $ref: '#/components/schemas/Receiving_API_v1_ProductRef'
                allow_for_brands:
                  type: array
                  description: >-
                    If specified, this packaging feature will only be applicable
                    to the selected merchants/brands.
                  items:
                    anyOf:
                      - $ref: '#/components/schemas/Receiving_API_v1_MerchantRef'
                      - $ref: '#/components/schemas/Receiving_API_v1_BrandRef'
                disallow_for_brands:
                  type: array
                  description: >-
                    If specified, this packaging feature will not be applicable
                    to the selected merchants/brands.
                  items:
                    anyOf:
                      - $ref: '#/components/schemas/Receiving_API_v1_MerchantRef'
                      - $ref: '#/components/schemas/Receiving_API_v1_BrandRef'
                billing_amount:
                  allOf:
                    - $ref: '#/components/schemas/Receiving_API_v1_Monetary'
                    - description: >-
                        The amount that will be billable for consumption of one
                        unit of this packaging feature.\
                          `Optional Field`
                disable_confirm_button:
                  type: boolean
                  description: >-
                    If "No", the user will be able to tap "Confirm" rather than
                    scanning a barcode.
                  enum:
                    - true
                    - false
                apply_unless_container_meets_hazmat:
                  type: boolean
                  description: >-
                    If "Yes", this packaging product will be applicable unless a
                    package contains a DG item with "Container Meets Hazmat
                    Specs: Yes" when "Always/Never Apply to Goods Type" is
                    specified.
                  enum:
                    - true
                    - false
                is_confirmation_required:
                  type: boolean
                  description: >-
                    If "Yes", this packer will be prompted and required to
                    confirm the use of infill.
                  enum:
                    - true
                    - false
                infill_horizontal:
                  allOf:
                    - $ref: '#/components/schemas/Receiving_API_v1_Length'
                    - description: >-
                        The amount of space to reserve on each horizontal side
                        of the package for infill. \

                        `Optional Field`
                infill_vertical:
                  allOf:
                    - $ref: '#/components/schemas/Receiving_API_v1_Length'
                    - description: >-
                        The amount of space to reserve on each vertical side of
                        the package for infill.

                        `Optional Field`
                infill_priority:
                  type: integer
                  description: >-
                    If multiple infill types are prescribed for a mix of items,
                    the infill with the lowest Infill Priority number will
                    prevail.
        - $ref: '#/components/schemas/Receiving_API_v1_AbstractProduct'
    Receiving_API_v1_WarehouseRef:
      title: WarehouseRef
      type: object
      description: A reference to a `Warehouse` by `id`.
      properties:
        type:
          type: string
          enum:
            - Warehouse
          description: This property describes the type of object in the response body.
        id:
          type: integer
          format: int32
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
      required:
        - type
        - id
      nullable: true
      additionalProperties: false
    Receiving_API_v1_updated_at-optional:
      type: string
      format: date-time
      description: >-
        The date and time the object was last updated in RFC 3339 section 5.6
        notation.
      example: '2017-07-21T17:39:43Z'
      nullable: true
      readOnly: true
    Receiving_API_v1_WeightUnit:
      type: string
      description: This can be an imperial or metric unit for weight.
      enum:
        - lb
        - oz
        - kg
        - g
    Receiving_API_v1_DeliveryItemRef:
      title: DeliveryItem
      description: A reference to a `DeliveryItem` object.
      type: object
      properties:
        type:
          type: string
          enum:
            - DeliveryItem
        id:
          type: integer
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
      required:
        - type
        - id
    Receiving_API_v1_custom_field_value:
      description: Union type for all possible custom field value formats.
      anyOf:
        - $ref: '#/components/schemas/Receiving_API_v1_custom_field_scalar_value'
        - $ref: '#/components/schemas/Receiving_API_v1_Monetary'
        - $ref: '#/components/schemas/Receiving_API_v1_custom_field_select_option'
        - $ref: '#/components/schemas/Receiving_API_v1_custom_field_multiselect_value'
    Receiving_API_v1_LotTypeRef:
      title: LotTypeRef
      description: LotType
      type: object
      properties:
        type:
          type: string
          enum:
            - LotType
          description: This property describes the type of object in the response body.
        id:
          type: integer
          format: int64
          description: >-
            The internal `id` property used as a path parameter in a resource
            lookup.
          example: 4
      required:
        - type
        - id
      nullable: true
      additionalProperties: false
    Receiving_API_v1_Dimensions:
      title: Dimensions
      type: object
      nullable: true
      properties:
        length:
          type: number
          description: >-
            This distance value is usually assigned to the longest side of the
            object and is defined as a floating-point number up to 4 decimal
            places.
          format: float
          example: 8
        width:
          type: number
          description: >-
            This value describes the horizontal distance of the subject defined
            as a floating-point number up to 4 decimal places.
          format: float
          example: 6
        height:
          type: number
          description: >-
            This value describes the vertical distance of the subject defined as
            a floating-point number up to 4 decimal places.
          format: float
          example: 4
        unit:
          $ref: '#/components/schemas/Receiving_API_v1_LengthUnit'
    Receiving_API_v1_Volume:
      title: Volume
      type: object
      nullable: true
      properties:
        value:
          type: number
          description: >-
            This value describes the cubic size of the subject as a
            floating-point number up to 4 decimal places.
          format: float
          example: 300
        unit:
          $ref: '#/components/schemas/Receiving_API_v1_VolumeUnit'
    Receiving_API_v1_Inventory:
      title: Inventory
      type: object
      description: Product Inventory information
      properties:
        backorders:
          description: >-
            This determines if `Product` that is no longer in stock may be
            backordered or whether or not to use ShipStream's scoped
            configurations.
          anyOf:
            - type: boolean
              example: true
            - type: string
              enum:
                - use_config
        dynamic_allocation:
          description: >-
            This will allow the `Product` to source from inventory in other
            warehouses in real-time if enabled, and can be set to use
            ShipStream's scoped configurations.
          anyOf:
            - type: boolean
              example: true
            - type: string
              enum:
                - use_config
        virtual_inventory:
          type: string
          description: >-
            This is the method used to predict an esitmate of inventory
            available when kitting from the `Product`.
          enum:
            - none
            - optimistic
            - realistic
            - pessimistic
          example: optimistic
    Receiving_API_v1_Export:
      title: Export
      type: object
      description: Product Export and Custom information
      properties:
        description:
          type: string
          description: >-
            This is used to describe in detail the `Product` for international
            shipping and customs regulations.
          nullable: true
          example: Plastic children's toy with steel weights and ball bearings
        customs_value:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_Monetary'
            - description: >-
                The value of the products the purpose of calculating duties and
                taxes in the destination country.
        country_of_manufacture:
          type: string
          nullable: true
          description: 2 letters Country ISO Code
          example: TW
        hs_base_code:
          type: string
          description: >-
            This is the Harmonized System Code (HS Code); a standardized
            numerical method of classifying traded products. These are 6 digit
            codes in the format \#\#\#.\#\# which are associated with a standard
            HS Code Description.
          nullable: true
          example: '8518.30'
        hs_country_extension:
          $ref: '#/components/schemas/Receiving_API_v1_country_extension'
    Receiving_API_v1_RegulatedGoods:
      title: RegulatedGoods
      type: object
      description: Product Regulation Information
      properties:
        regulation:
          $ref: '#/components/schemas/Receiving_API_v1_RegulationRef'
        technical_name:
          type: string
          nullable: true
          description: Must match against Regulation's Technical Name Pattern if specified.
          example: Hydro Polymer Acetylene Coating
        additional_information:
          type: string
          nullable: true
          description: >-
            Must match against Regulation's Additional Regulatory Information
            Pattern if specified.
          example: Flamable Liquid
        net_weight:
          $ref: '#/components/schemas/Receiving_API_v1_Weight'
        container_type:
          $ref: '#/components/schemas/Receiving_API_v1_container_type'
        container_meets_hazmat_specs:
          type: boolean
          description: >-
            This flag indicates that the `RegulatedGoods` container is
            sufficient for a regulated (HAZMAT) product.
          example: true
        regulation_units:
          type: number
          description: >-
            These units are arbitrary and should be relative to the Regulation's
            Pickup Weight Limit. E.g. it could be in pounds, kilowatt/hours,
            etc.
          format: float
          example: 5
    Receiving_API_v1_Packaging:
      title: Packaging
      type: object
      description: Product Packaging information
      properties:
        require_packaging:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_boolean'
            - description: >-
                If Yes, packaging will require a Box with "Satisfies Overbox:
                Yes".
        require_weight_check:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_boolean'
            - description: >-
                If Yes, the associated product will require the use of a scale
                to verify that the package's weight falls within the expected
                amount. If this is set to No, this step will be skipped by the
                packer.
        require_confirmation_per_item:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_boolean'
            - description: >-
                If Yes, Packaging Products with "One Scan Per: Item" will
                require a scan for each item packed rather than just one for the
                first item in a package.
        unit_quantity:
          type: integer
          example: 1
          nullable: true
          description: >-
            Number of individually packaged items contained therein for purposes
            of special packaging features.
        bulk_quantity:
          type: integer
          nullable: true
          example: 10
          description: >-
            Prefer to split into packages when necessary using multiples of this
            amount.
        max_per_package:
          type: integer
          nullable: true
          example: 15
          description: >-
            The maximum quantity of this product to ever include in the same
            package. 

            Multiply by "Unit Quantity" to achieve common units between other
            products with the same "Ship Separate Tag" value.
        is_ship_separately:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_boolean'
            - description: >-
                This item cannot ship in the same package as other items (unless
                they have the same "Ship Separate Tag").
        ship_separately_tag:
          type: string
          nullable: true
          description: >-
            Applies only if "Ship Separate" is "Yes". Assign the same tag to
            treat similar products as interchangeable 

            with respect to the "Ship Separate" and "Max Per Package" attribute.
          example: PVC
        can_tip:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_boolean'
            - description: >-
                If Yes, the item is allowed to be rotated vertically when
                packed.
        can_contain_other_items:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_boolean'
            - description: >-
                If Yes then other smaller items are allowed to be placed within
                this larger item. This is useful when the item is hollow or is a
                bin/bucket.
        is_handling_surcharge:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_boolean'
            - description: >-
                The Packaging Surcharge is applicable when shipped without an
                Overbox.
    Receiving_API_v1_custom_fields:
      type: array
      description: Custom field values as an array of code/value pairs.
      items:
        type: object
        properties:
          code:
            type: string
            description: The custom field code/identifier.
          value:
            description: The field value (type depends on field configuration).
          label:
            type: string
            description: For select fields, the display label of the selected option.
          options:
            type: object
            description: For multiselect fields, a map of option IDs to labels.
            additionalProperties:
              type: string
        required:
          - code
      example:
        - code: color
          value: 13
          label: Red and Black
        - code: cost_of_goods
          value: 41.32
        - code: allow_mailer
          value: true
    Receiving_API_v1_AbstractProduct:
      type: object
      properties:
        sku:
          type: string
          description: >-
            The Stock Keeping Unit (SKU) is a unique identifier for the
            `Product`.
          example: SKU-1AD
        name:
          type: string
          description: This is displayed as a short, descriptive title for the `Product`.
          example: Test Product
        is_enabled:
          type: boolean
          description: Disabled products are effectively deleted.
          enum:
            - true
            - false
          default: true
        merchant:
          allOf:
            - $ref: '#/components/schemas/Receiving_API_v1_MerchantRef'
            - description: The `Merchant` to which the product belongs.
        created_at:
          $ref: '#/components/schemas/Receiving_API_v1_created_at-optional'
        updated_at:
          $ref: '#/components/schemas/Receiving_API_v1_updated_at-optional'
    Receiving_API_v1_barcodes:
      anyOf:
        - type: string
          nullable: true
          example: 956623520-4
        - type: array
          items:
            type: string
          nullable: true
          example:
            - 956623520-4
            - O-VS-Oregano-p3
    Receiving_API_v1_Monetary:
      title: Monetary
      type: object
      nullable: true
      properties:
        amount:
          type: number
          description: This is the monetary value..
          format: float
          example: 99
        currency:
          type: string
          description: An ISO 3166-1 alpha-3 currency code.
[...]
